> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/tokenization/mint-tokens",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Mint tokens

> Mint tokens and upload metadata



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /tokenization/collections/{id}/tokens/mint
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tokenization/collections/{id}/tokens/mint:
    post:
      tags:
        - Tokenization
      summary: Mint tokens
      description: Mint tokens and upload metadata
      operationId: mintCollectionToken
      parameters:
        - name: id
          required: true
          in: path
          description: The collection link id
          example: fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb
          schema:
            type: string
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CollectionMintRequestDto'
      responses:
        '202':
          description: Tokens minted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionMintResponseDto'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<CollectionMintResponseDto>> =
            fireblocks.tokenization.mintCollectionToken(tokenizationApiMintCollectionTokenRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<CollectionMintResponseDto>> response =
            fireblocks.tokenization().mintCollectionToken(collectionMintRequestDto,
            id, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.tokenization.mint_collection_token(collection_mint_request_dto,
            id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    CollectionMintRequestDto:
      type: object
      properties:
        vaultAccountId:
          type: string
          description: The id of the vault account that initiates the mint function.
          example: '0'
        to:
          type: string
          example: '0x5503766D27d1ED4525f5053222E18b29C38eDdB2'
          description: 'The EVM address to mint to '
        tokenId:
          type: string
          description: >-
            The token id, recommended to have numerical format and in sequential
            order
          example: '1'
        amount:
          type: string
          description: >-
            For ERC721, amount is optional or should always be 1 and for
            ERC1155, amount should be 1 or greater
          example: '1'
        metadataURI:
          type: string
          description: >-
            URL of metadata uploaded, skip uploading to IPFS if this field is
            provided with any value
          example: ipfs://QmP4P6f7mDHzikhdwLBVSCxCPEgmjwcWSVBHbtSyfBYzBC
        metadata:
          description: Metadata to upload
          example:
            name: MYTOKEN
            description: description of MYTOKEN
          allOf:
            - $ref: '#/components/schemas/CollectionTokenMetadataDto'
        externalId:
          type: string
          description: >-
            External id that can be used to identify the transaction in your
            system. The unique identifier of the transaction outside of
            Fireblocks with max length of 255 characters
          example: 0192e4f5-924e-7bb9-8e5b-c748270feb38
      required:
        - vaultAccountId
        - to
        - tokenId
    CollectionMintResponseDto:
      type: object
      properties:
        txId:
          type: string
          description: Transaction Id for the mint operation
          example: fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb
      required:
        - txId
    CollectionTokenMetadataDto:
      type: object
      properties:
        name:
          type: string
          description: Token's name
          example: DigitalArtTokens
        description:
          type: string
          description: Token's description
          example: Digital representation of a piece of art
        image:
          type: string
          description: Token's image URL
          example: https://some_domain.com/image_filepath
        animation_url:
          type: string
          description: Token's animation URL
          example: https://some_domain.com/gif_filepath
        external_url:
          type: string
          description: Token's external URL
          example: https://some_domain.com/blob_filepath
        attributes:
          description: Token's metadata attributes
          type: array
          items:
            $ref: '#/components/schemas/CollectionTokenMetadataAttributeDto'
      required:
        - name
        - description
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    CollectionTokenMetadataAttributeDto:
      type: object
      properties:
        trait_type:
          type: string
          description: Name of the trait
          example: project_start
        value:
          type: string
          description: Value of the trait
          example: 30102000
        display_type:
          type: string
          description: A field indicating how you would like trait to be displayed
          example: date
      required:
        - trait_type
        - value
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````